org.apache.fop.render.pdf

## Enum PDFRendererOption

- java.lang.Object
- - java.lang.Enum<PDFRendererOption>
  - - org.apache.fop.render.pdf.PDFRendererOption

- All Implemented Interfaces:
    Serializable, Comparable<PDFRendererOption>, RendererConfigOption

      public enum PDFRendererOption
      extends Enum<PDFRendererOption>
      implements RendererConfigOption

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLE_SRGB_COLORSPACE` Rendering Options key for disabling the sRGB color space (only possible if no PDF/A or PDF/X profile is active), default: false
    `FILTER_LIST`
    `FORM_XOBJECT`
    `LINEARIZATION`
    `MERGE_FONTS`
    `MERGE_FORM_FIELDS`
    `OBJECT_STREAMS`
    `OUTPUT_PROFILE` Rendering Options key for the ICC profile for the output intent.
    `PDF_A_MODE` Rendering Options key for the PDF/A mode, default: `PDFAMode.DISABLED`
    `PDF_UA_MODE`
    `PDF_VT_MODE` Rendering Options key for the PDF/VT mode, default: `PDFVTMode.DISABLED`
    `PDF_X_MODE` Rendering Options key for the PDF/X mode, default: `PDFXMode.DISABLED`
    `SIGN_PARAMS`
    `VERSION` PDF version entry: specify the version of the PDF document created, datatype: String

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDefaultValue()`
    `String` | `getName()` The name of the option.
    `Object` | `parse(Object object)`
    `static PDFRendererOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PDFRendererOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILTER_LIST

          public static final PDFRendererOption FILTER_LIST

    - #### PDF_A_MODE

          public static final PDFRendererOption PDF_A_MODE

      Rendering Options key for the PDF/A mode, default: `PDFAMode.DISABLED`

    - #### PDF_UA_MODE

          public static final PDFRendererOption PDF_UA_MODE

    - #### PDF_X_MODE

          public static final PDFRendererOption PDF_X_MODE

      Rendering Options key for the PDF/X mode, default: `PDFXMode.DISABLED`

    - #### PDF_VT_MODE

          public static final PDFRendererOption PDF_VT_MODE

      Rendering Options key for the PDF/VT mode, default: `PDFVTMode.DISABLED`

    - #### VERSION

          public static final PDFRendererOption VERSION

      PDF version entry: specify the version of the PDF document created, datatype: String

    - #### DISABLE_SRGB_COLORSPACE

          public static final PDFRendererOption DISABLE_SRGB_COLORSPACE

      Rendering Options key for disabling the sRGB color space (only possible if no PDF/A or PDF/X profile is active), default: false

    - #### MERGE_FONTS

          public static final PDFRendererOption MERGE_FONTS

    - #### MERGE_FORM_FIELDS

          public static final PDFRendererOption MERGE_FORM_FIELDS

    - #### LINEARIZATION

          public static final PDFRendererOption LINEARIZATION

    - #### FORM_XOBJECT

          public static final PDFRendererOption FORM_XOBJECT

    - #### OBJECT_STREAMS

          public static final PDFRendererOption OBJECT_STREAMS

    - #### OUTPUT_PROFILE

          public static final PDFRendererOption OUTPUT_PROFILE

      Rendering Options key for the ICC profile for the output intent.

    - #### SIGN_PARAMS

          public static final PDFRendererOption SIGN_PARAMS

  - ### Method Detail

    - #### values

          public static PDFRendererOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PDFRendererOption c : PDFRendererOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PDFRendererOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      Description copied from interface: `RendererConfigOption`
      The name of the option.
      Specified by:
        `getName` in interface `RendererConfigOption`

    - #### getDefaultValue

          public Object getDefaultValue()

      Specified by:
        `getDefaultValue` in interface `RendererConfigOption`

    - #### parse

          public Object parse(Object object)

Copyright © 2025 Apache Software Foundation. All rights reserved.